### Method

# Dex Promise resolve_variant

since: 0.8

#### Declaration [src]

    void
    dex_promise_resolve_variant (
      DexPromise* promise,
      GVariant* variant
    )

#### Description [src]

If `variant` is floating, its reference is consumed.

Available since: 0.8

#### Parameters

`variant`

  Type: `GVariant`

  A `GVariant`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.